<?php Block::put('breadcrumb') ?>
    <ul>
        <li><a href="<?= Backend::url('studiobosco/backendnotifications/notifications') ?>"><?= Lang::get('studiobosco.backendnotifications::lang.notifications'); ?></a></li>
        <li><?= e($this->pageTitle) ?></li>
    </ul>
<?php Block::endPut() ?>
<?php if (!$this->fatalError): ?>

    <?= Form::open(['class'=>'layout']) ?>

        <div class="layout-row">
            <?= $this->formRender() ?>
        </div>

        <div class="form-buttons">
            <div class="loading-indicator-container">
                <button
                    type="submit"
                    data-request="onSave"
                    data-request-data="redirect:0"
                    data-hotkey="ctrl+s, cmd+s"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-primary">
                    <?= e(trans('studiobosco.backendnotifications::lang.buttons.save')) ?>
                </button>
                <button
                    type="button"
                    data-request="onSave"
                    data-request-data="close:1"
                    data-hotkey="ctrl+enter, cmd+enter"
                    data-load-indicator="Saving Notification..."
                    class="btn btn-default">
                    <?= e(trans('studiobosco.backendnotifications::lang.buttons.save_and_close')) ?>
                </button>

                <span class="btn-text">
                    <?= e(trans('studiobosco.backendnotifications::lang.buttons.or')) ?> <a href="<?= Backend::url('studiobosco/backendnotifications/notifications') ?>"><?= e(trans('studiobosco.backendnotifications::lang.buttons.cancel')) ?></a>
                </span>

                <button
                    type="button"
                    class="btn btn-danger pull-right"
                    data-request="onResetDefault"
                    data-load-indicator="<?= e(trans('backend::lang.form.resetting')) ?>"
                    data-request-confirm="<?= e(trans('backend::lang.form.action_confirm')) ?>">
                    <?= e(trans('studiobosco.backendnotifications::lang.buttons.reset_default')) ?>
                </button>
            </div>
        </div>
    <?= Form::close() ?>

<?php else: ?>
    <p class="flash-message static error"><?= e(trans($this->fatalError)) ?></p>
    <p><a href="<?= Backend::url('studiobosco/backendnotifications/notifications') ?>" class="btn btn-default"><?= e(trans('system::lang.settings.return')) ?></a></p>
<?php endif ?>
